package aluminumStyle

import "image/color"
import "git.tebibyte.media/tomo/tomo"
import dataTheme "git.tebibyte.media/tomo/nasin/internal/theme"

// New returns Aluminum, a futuristic, bluish-white style.
func New () *dataTheme.Theme {
	return &dataTheme.Theme {
		Colors: map[tomo.Color] color.Color {
			tomo.ColorBackground: colorBackground,
			tomo.ColorForeground: colorForeground,
			tomo.ColorRaised:     colorCarved,
			tomo.ColorSunken:     colorCarved,
			tomo.ColorAccent:     colorFocus,
		},
		Rules: rules,
	}
}
